Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# jpeg_error_mgr Struct Reference

`#include <jpeglib.h>`

## Public Methods
| JMETHOD (void, error_exit,(j_common_ptr cinfo))
| JMETHOD (void, emit_message,(j_common_ptr cinfo, int msg_level))
| JMETHOD (void, output_message,(j_common_ptr cinfo))
| JMETHOD (void, format_message,(j_common_ptr cinfo, char *buffer))
| JMETHOD (void, reset_error_mgr,(j_common_ptr cinfo))
## Data Fields
int | msg_code
union {
int i [8]
char s [JMSG_STR_PARM_MAX]
} | msg_parm
int | trace_level
long | num_warnings
const char *const * | jpeg_message_table
int | last_jpeg_message
const char *const * | addon_message_table
int | first_addon_message
int | last_addon_message

## Member Function Documentation

JMETHOD | ( | void | ,
|  | reset_error_mgr | ,
|  | (j_common_ptr cinfo) |
| ) |

JMETHOD | ( | void | ,
|  | format_message | ,
|  | (j_common_ptr cinfo, char *buffer) |
| ) |

JMETHOD | ( | void | ,
|  | output_message | ,
|  | (j_common_ptr cinfo) |
| ) |

JMETHOD | ( | void | ,
|  | emit_message | ,
|  | (j_common_ptr cinfo, int msg_level) |
| ) |

JMETHOD | ( | void | ,
|  | error_exit | ,
|  | (j_common_ptr cinfo) |
| ) |

## Field Documentation

const char* const* addon_message_table

| Definition at line 1219 of file jpeglib.h.

int first_addon_message

| Definition at line 1220 of file jpeglib.h.

int i[8]

| Definition at line 1188 of file jpeglib.h.

const char* const* jpeg_message_table

| Definition at line 1214 of file jpeglib.h.

int last_addon_message

| Definition at line 1221 of file jpeglib.h.

int last_jpeg_message

| Definition at line 1215 of file jpeglib.h.

int msg_code

| Definition at line 1185 of file jpeglib.h.

union { ... } msg_parm

long num_warnings

| Definition at line 1202 of file jpeglib.h.

char s[JMSG_STR_PARM_MAX]

| Definition at line 1189 of file jpeglib.h.

int trace_level

| Definition at line 1194 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- jpeglib.h